from django.conf.urls import url

from .views import FroyoView, \
IngCreateFormView, IngDetailView, IngListView, IngUpdateFormView, \
OrdCreateFormView, OrdDetailView, OrdListView, OrdUpdateFormView, \
RecCreateFormView, RecDetailView, RecListView, RecUpdateFormView


urlpatterns = [
	url(r'^froyo_homepage$', FroyoView.as_view(), name='froyo_homepage'),
	url(r'^froyo/ingredients_create_form$', IngCreateFormView.as_view(), name='ingredients_create_form'),
	url(r'^froyo/ingredients_detail$', IngDetailView.as_view(), name='ingredients_detail'),
	url(r'^froyo/ingredients_list$', IngListView.as_view(), name='ingredients_list'),
	url(r'^froyo/ingredients_update_form$', IngUpdateFormView.as_view(), name='ingredients_update_form'),
	url(r'^froyo/orders_create_form$', OrdCreateFormView.as_view(), name='orders_create_form'),
	url(r'^froyo/orders_detail$', OrdDetailView.as_view(), name='orders_detail'),
	url(r'^froyo/orders_list$', OrdListView.as_view(), name='orders_list'),
	url(r'^froyo/orders_update_form$', OrdUpdateFormView.as_view(), name='orders_update_form'),
	url(r'^froyo/recipes_create_form$', RecCreateFormView.as_view(), name='recipes_create_form'),
	url(r'^froyo/recipes_detail$', RecDetailView.as_view(), name='recipes_detail'),
	url(r'^froyo/recipes_list$', RecListView.as_view(), name='recipes_list'),
	url(r'^froyo/recipes_update_form$', RecUpdateFormView.as_view(), name='recipes_update_form')
]